{
	"artifacts" : 
	[
		{
			"path" : "RelWithDebInfo/webcam_binding.dll"
		},
		{
			"path" : "RelWithDebInfo/webcam_binding.lib"
		},
		{
			"path" : "RelWithDebInfo/webcam_binding.pdb"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_library",
			"target_link_directories",
			"target_link_libraries",
			"target_compile_definitions",
			"target_include_directories"
		],
		"files" : 
		[
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 9,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 38,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 40,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 31,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 20,
				"parent" : 0
			}
		]
	},
	"codemodelVersion" : 
	{
		"major" : 2,
		"minor" : 10
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "/DWIN32 /D_WINDOWS /EHsc /Zi /O2 /Ob1 /DNDEBUG -MD"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 4,
					"define" : "WIN32"
				},
				{
					"backtrace" : 4,
					"define" : "_GS_DLL_EXPORT"
				},
				{
					"backtrace" : 4,
					"define" : "_USRDLL"
				},
				{
					"backtrace" : 4,
					"define" : "__PLATFORM_WINDOWS__"
				},
				{
					"define" : "webcam_EXPORTS"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 5,
					"path" : "C:/Users/simulateur/Documents/Webcam/./include/modules"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/simulateur/Documents/Webcam/./include/platform"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/simulateur/Documents/Webcam/./include/engine"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/simulateur/Documents/Webcam/./include/framework"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/simulateur/Documents/Webcam/./include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/simulateur/Documents/Webcam/./include/squirrel"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/simulateur/Documents/Webcam/./include/squirrel/include"
				},
				{
					"backtrace" : 5,
					"path" : "C:/Users/simulateur/Documents/Webcam/./source"
				}
			],
			"language" : "CXX",
			"sourceIndexes" : 
			[
				0,
				1,
				2
			]
		}
	],
	"dependencies" : 
	[
		{
			"id" : "ZERO_CHECK::@6890427a1f51a3e7e1df"
		}
	],
	"id" : "webcam::@6890427a1f51a3e7e1df",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "/machine:x64 /debug /INCREMENTAL",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "-LIBPATH:C:\\Users\\simulateur\\Documents\\Webcam\\.\\lib",
				"role" : "libraryPath"
			},
			{
				"backtrace" : 3,
				"fragment" : "modules.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "platform.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "engine.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "framework.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "opencv_world345.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "extern.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "Ws2_32.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "Winmm.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "dxguid.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "dinput8.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "wininet.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "wldap32.lib",
				"role" : "libraries"
			},
			{
				"fragment" : "kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"linkLibraries" : 
	[
		{
			"backtrace" : 3,
			"fragment" : "modules"
		},
		{
			"backtrace" : 3,
			"fragment" : "platform"
		},
		{
			"backtrace" : 3,
			"fragment" : "engine"
		},
		{
			"backtrace" : 3,
			"fragment" : "framework"
		},
		{
			"backtrace" : 3,
			"fragment" : "opencv_world345"
		},
		{
			"backtrace" : 3,
			"fragment" : "extern"
		},
		{
			"backtrace" : 3,
			"fragment" : "Ws2_32"
		},
		{
			"backtrace" : 3,
			"fragment" : "Winmm"
		},
		{
			"backtrace" : 3,
			"fragment" : "dxguid"
		},
		{
			"backtrace" : 3,
			"fragment" : "dinput8"
		},
		{
			"backtrace" : 3,
			"fragment" : "wininet"
		},
		{
			"backtrace" : 3,
			"fragment" : "wldap32"
		}
	],
	"name" : "webcam",
	"nameOnDisk" : "webcam_binding.dll",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "source/webcam.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "source/webcam_binding.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "source/webcam_impl.cpp",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "SHARED_LIBRARY"
}
